# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(gdk-pixbuf-2.0) pkgconfig(glib-2.0) pkgconfig(gtk+-2.0) pkgconfig(libglade-2.0) pkgconfig(pangoft2)
# END SourceDeps(oneline)
Name:           sysprof
Version:        1.2.0
Release:        alt1_2
Summary:        A system-wide Linux profiler
Group:          Development/Other
License:        GPLv2+
URL:            http://www.sysprof.com
Source0:        http://www.sysprof.com/sysprof-%{version}.tar.gz

Source1:        sysprof.desktop

BuildRequires:  gtk2-devel => 2.6
BuildRequires:  libglade2-devel
BuildRequires:  binutils-devel
BuildRequires:  desktop-file-utils

Requires:       kernel => 2.6.31
Requires:       icon-theme-hicolor

ExclusiveArch:  %{ix86} x86_64
Source44: import.info

%description
Sysprof is a sampling CPU profiler for Linux that collects accurate,
high-precision data and provides efficient access to the sampled
calltrees.


%prep
%setup -q -n sysprof-%{version}

# Fix README
iconv --from=ISO-8859-1 --to=UTF-8 README > README.new && \
touch -r README README.new && \
mv README.new README


%build
%configure
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

for size in 16 24 32 48; do
    mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/${size}x${size}/apps
    ln -s %{_datadir}/pixmaps/sysprof-icon-${size}.png \
        ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/${size}x${size}/apps/sysprof-icon.png
done

desktop-file-install                                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE1}


%files
%doc NEWS README COPYING TODO AUTHORS
%{_sysconfdir}/udev/rules.d/60-sysprof.rules
%{_bindir}/sysprof
%{_bindir}/sysprof-cli
%{_datadir}/pixmaps/sysprof-*.png
%{_datadir}/sysprof/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt1_2
- initial fc import

